Subject: 25.3; Core dump on GTK with -Q

From: Sebas Olsson <[email-masked]>
Date: Tue, 20 Feb 2018 09:03:25 +0100

After doing some commands in Emacs/GTK, emacs and my window manager
crashes and I get logged out.
As I write this I'm at `/bin/emacs -nw -Q`, because emacs crashed while
reporting bug.

I've reproduced it several times with the following commands:
1. `/bin/emacs -Q`
2. `C-h C-p` for PROBLEMS-buffer
3. `M-x org-mode` enable org-mode
4. Tab (`org-cycle`) on headline
5. Emacs and window manager hangs and emacs get core dump

But I have also had the crash when running:
1. `/bin/emacs -Q`
2. `M-x report-emacs-bug`
3. scroll down line by line with `C-n` to the bottom
4. scroll up line by line with `C-p`
5. When point was at the left parenthesis in the `Features` section same
crash.
Or:
1. `/bin/emacs -Q`
2. `M-x report-emacs-bug`
3. `C-x C-f emacs.bug` (File where I saved journalctl entry)
4. `C-x space` and scroll down with `C-n`
5. Somewhere in the middle of file the crash happened.

This started yesterday as I updated both Emacs, Kernel, X as well as
some other packages with `pacman -Syu`.

I have some other crashes from other programs in journalctl. The system
seems to be stable when not running emacs (or only `emacs -nw`).

Please let me know if you need journal or pacman logs.

Stack trace for emacs from journalctl:
 Stack trace of thread
1721:

 #0  0x00007fa930303c70 raise
(libpthread.so.0)

 #1  0x00000000004ef03b n/a
(emacs-25.3)

 #2  0x0000000000509184 n/a
(emacs-25.3)

 #3  0x00000000004bdb5b n/a
(emacs-25.3)

 #4  0x00000000004bdc98 n/a
(emacs-25.3)

 #5  0x00007fa93402979e _XIOError
(libX11.so.6)

 #6  0x00007fa9340277e3 _XReply
(libX11.so.6)

 #7  0x00007fa934022fdd XSync
(libX11.so.6)

 #8  0x00007fa93585b178 n/a
(libgdk-3.so.0)

 #9  0x00007fa9358395dc n/a
(libgdk-3.so.0)

 #10 0x00007fa9358397e9 n/a
(libgdk-3.so.0)

 #11 0x00007fa934a6cc5d g_closure_invoke
(libgobject-2.0.so.0)

 #12 0x00007fa934a80b50 n/a
(libgobject-2.0.so.0)

 #13 0x00007fa934a89806 g_signal_emit_valist
(libgobject-2.0.so.0)

 #14 0x00007fa934a8a240 g_signal_emit
(libgobject-2.0.so.0)

 #15 0x00007fa93583135a n/a
(libgdk-3.so.0)

 #16 0x00007fa93581bac3 n/a (libgdk-3.so.0)
 #17 0x00007fa934793783 n/a (libglib-2.0.so.0)
 #18 0x00007fa934792ca6 g_main_context_dispatch (libglib-2.0.so.0)
 #19 0x00007fa934793081 n/a (libglib-2.0.so.0)
 #20 0x00007fa93479310e g_main_context_iteration (libglib-2.0.so.0)
 #21 0x00007fa935d1df97 gtk_main_iteration (libgtk-3.so.0)
 #22 0x00000000004be553 n/a (emacs-25.3)
 #23 0x00000000004f60a1 n/a (emacs-25.3)
 #24 0x000000000041edee n/a (emacs-25.3)
 #25 0x00000000004fb289 n/a (emacs-25.3)
 #26 0x00000000004fc0f0 n/a (emacs-25.3)
 #27 0x00000000004fdb94 n/a (emacs-25.3)
 #28 0x0000000000562a63 n/a (emacs-25.3)
 #29 0x00000000004ef435 n/a (emacs-25.3)
 #30 0x00000000005629e2 n/a (emacs-25.3)
 #31 0x00000000004ef3cd n/a (emacs-25.3)
 #32 0x00000000004f3dbc n/a (emacs-25.3)
 #33 0x00000000004f40ec n/a (emacs-25.3)
 #34 0x000000000041496c n/a (emacs-25.3)
 #35 0x00007fa92fb40f4a __libc_start_main (libc.so.6)
 #36 0x000000000041550a n/a (emacs-25.3)

 Stack trace of thread 1722:
 #0  0x00007fa92fc0b97b __poll (libc.so.6)
 #1  0x00007fa934792ff3 n/a (libglib-2.0.so.0)
 #2  0x00007fa93479310e g_main_context_iteration (libglib-2.0.so.0)
 #3  0x00007fa934793162 n/a (libglib-2.0.so.0)
 #4  0x00007fa9347bb26a n/a (libglib-2.0.so.0)
 #5  0x00007fa9302f908c start_thread (libpthread.so.0)
 #6  0x00007fa92fc15e7f __clone (libc.so.6)

 Stack trace of thread 1723:
 #0  0x00007fa92fc0b97b __poll (libc.so.6)
 #1  0x00007fa934792ff3 n/a (libglib-2.0.so.0)
 #2  0x00007fa9347933b2 g_main_loop_run (libglib-2.0.so.0)
 #3  0x00007fa934d876d8 n/a (libgio-2.0.so.0)
 #4  0x00007fa9347bb26a n/a (libglib-2.0.so.0)
 #5  0x00007fa9302f908c start_thread (libpthread.so.0)
 #6  0x00007fa92fc15e7f __clone (libc.so.6)

 Stack trace of thread 1724:
 #0  0x00007fa92fc0b97b __poll (libc.so.6)
 #1  0x00007fa934792ff3 n/a (libglib-2.0.so.0)
 #2  0x00007fa93479310e g_main_context_iteration (libglib-2.0.so.0)
 #3  0x00007fa922d1eb0e n/a (libdconfsettings.so)
 #4  0x00007fa9347bb26a n/a (libglib-2.0.so.0)
 #5  0x00007fa9302f908c start_thread (libpthread.so.0)
 #6  0x00007fa92fc15e7f __clone (libc.so.6)

 Stack trace of thread 1725:
 #0  0x00007fa92fc0b97b __poll (libc.so.6)
 #1  0x00007fa921d71773 n/a (libpulse.so.0)
 #2  0x00007fa921d62bd0 pa_mainloop_poll (libpulse.so.0)
 #3  0x00007fa921d63271 pa_mainloop_iterate (libpulse.so.0)
 #4  0x00007fa921d63301 pa_mainloop_run (libpulse.so.0)
 #5  0x00007fa921d716ae n/a (libpulse.so.0)
 #6  0x00007fa921b1081c n/a (libpulsecommon-11.1.so)
 #7  0x00007fa9302f908c start_thread (libpthread.so.0)
 #8  0x00007fa92fc15e7f __clone (libc.so.6)

Kernel:
Linux kvasir 4.15.3-2-ARCH #1 SMP PREEMPT Thu Feb 15 00:13:49 UTC 2018
x86_64 GNU/Linux

In GNU Emacs 25.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.22.26)
 of 2018-02-09 built on bisson
Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --with-x-toolkit=gtk3 --with-xft --with-modules
 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong
 -fno-plt' CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 MODULES

Important settings:
  value of $LC_CTYPE: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message dired format-spec rfc822 mml
mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util help-fns help-mode easymenu
cl-loaddefs pcase cl-lib mail-prsvr mail-utils term/xterm xterm
time-date mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win term/common-win x-dnd tool-bar dnd fontset
image regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 90541 5755)
 (symbols 48 19860 0)
 (miscs 40 40 121)
 (strings 32 14554 4666)
 (string-bytes 1 411616)
 (vectors 16 9783)
 (vector-slots 8 386331 16907)
 (floats 8 168 574)
 (intervals 56 200 0)
 (buffers 976 18))